[riot-users] Unable to compile in native

First Name tobaccopipeyoyo at gmail.com
Fri Jan 22 17:33:55 CET 2016


I already had gcc-4.8.2 so I just changed the soft links via ln
But now I am getting the following error
"Compiler cc is required but not found in PATH.  Aborting."
I tried understanding the particular line in makefile but it does not
make sense to me.

sudo apt-get install gcc does not help

gcc -v yields the following
gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.8/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu
4.8.4-2ubuntu1~14.04'
--with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs
--enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=/usr
--program-suffix=-4.8 --enable-shared --enable-linker-build-id
--libexecdir=/usr/lib --without-included-gettext
--enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8
--libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu
--enable-libstdcxx-debug --enable-libstdcxx-time=yes
--enable-gnu-unique-object --disable-libmudflap --enable-plugin
--with-system-zlib --disable-browser-plugin --enable-java-awt=gtk
--enable-gtk-cairo
--with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64/jre
--enable-java-home
--with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64
--with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-amd64
--with-arch-directory=amd64
--with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc
--enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64
--with-multilib-list=m32,m64,mx32 --with-tune=generic
--enable-checking=release --build=x86_64-linux-gnu
--host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04)

Sorry to bug you guys with this.

Suvrat

On Wed, Jan 13, 2016 at 9:57 PM, Cenk Gündogan
<cenk.guendogan at fu-berlin.de> wrote:
> Hello Suvrat,
>
> My guess is that your gcc version is too old.
> According to [1], the `__builtin_bswap16` function
> was introducedwith gcc version 4.8 for x86(_64).
>
> Coud you try updating your gcc?
>
> Best,
> Cenk
>
> [1] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=52624
>
>
> On 14.01.2016 05:28, Suvrat Alshi wrote:
>>
>> Hi
>>
>> gcc -v
>> Using built-in specs.
>> Target: x86_64-linux-gnu
>> Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro
>> 4.4.7-8ubuntu1'
>> --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs
>> --enable-languages=c,c++,fortran --prefix=/usr --program-suffix=-4.4
>> --enable-shared --enable-linker-build-id --with-system-zlib
>> --libexecdir=/usr/lib --without-included-gettext
>> --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4
>> --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu
>> --enable-libstdcxx-debug --disable-libmudflap --disable-werror
>> --with-arch-32=i686 --with-tune=generic --enable-checking=release
>> --build=x86_64-linux-gnu --host=x86_64-linux-gnu
>> --target=x86_64-linux-gnu
>> Thread model: posix
>> gcc version 4.4.7 (Ubuntu/Linaro 4.4.7-8ubuntu1)
>>
>>
>> Distributor ID:    Ubuntu
>> Description:    Ubuntu 14.04.3 LTS
>> Release:    14.04
>> Codename:    trusty
>>
>>
>> Native compile does not go through.
>> I keep getting following error
>>
>> "make" -C /home/riot/RIOT/boards/native
>> "make" -C /home/riot/RIOT/boards/native/drivers
>> "make" -C /home/riot/RIOT/core
>> "make" -C /home/riot/RIOT/cpu/native
>> cc1: warnings being treated as errors
>> In file included from /home/riot/RIOT/sys/include/net/ethernet/hdr.h:27,
>>                   from
>> /home/riot/RIOT/cpu/native/include/netdev2_tap.h:30,
>>                   from /home/riot/RIOT/cpu/native/native_cpu.c:53:
>> /home/riot/RIOT/core/include/byteorder.h: In function ‘byteorder_swaps’:
>> /home/riot/RIOT/core/include/byteorder.h:288: error: implicit
>> declaration of function ‘__builtin_bswap16’
>> make[2]: ***
>> [/home/riot/RIOT/examples/default/bin/native/cpu/native_cpu.o]
>> Error 1
>> make[1]: *** [ALL--/home/riot/RIOT/cpu/native] Error 2
>> make: *** [all] Error 2
>>
>>
>> Please advice.
>> Thanks,
>> Suvrat
>>
>> On Mon, Jan 11, 2016 at 12:50 AM, Kaspar Schleiser <kaspar at schleiser.de>
>> wrote:
>>>
>>> Hey Suvrat,
>>>
>>> On 01/11/2016 03:06 AM, Suvrat Alshi wrote:
>>>>
>>>> First time with RIOT
>>>
>>> Welcome!
>>>
>>>> make: *** [all] Error 2
>>>>
>>>>
>>>> Please advice where I'm going wrong.
>>>
>>> We'll need more information.
>>> What toolchain are you using (please send the output of "gcc -v"), and
>>> which distribution are you using?
>>>
>>> Kaspar
>>> _______________________________________________
>>> users mailing list
>>> users at riot-os.org
>>> https://lists.riot-os.org/mailman/listinfo/users
>>
>> _______________________________________________
>> users mailing list
>> users at riot-os.org
>> https://lists.riot-os.org/mailman/listinfo/users
>
>
> _______________________________________________
> users mailing list
> users at riot-os.org
> https://lists.riot-os.org/mailman/listinfo/users


More information about the users mailing list